import { Series } from "./Series";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Color } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Axis } from "./Axis";
import { SeriesView } from "./SeriesView";
import { ProgressiveLoadStatusEventArgs } from "./ProgressiveLoadStatusEventArgs";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class HighDensityScatterSeries extends Series {
    static $t: Type;
    protected bc(): Series;
    protected get_e2(): boolean;
    protected iq(): number;
    constructor();
    protected get_fa(): boolean;
    ua: NumericXAxis;
    uc: NumericYAxis;
    wd: string;
    protected get uh(): IFastItemColumn$1<number>;
    protected set uh(a: IFastItemColumn$1<number>);
    private ug;
    v9: string;
    wh: string;
    wb: string;
    wj: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    jv(a: any, b: string): any;
    wl: string;
    protected get uj(): IFastItemColumn$1<number>;
    protected set uj(a: IFastItemColumn$1<number>);
    private ui;
    uq: boolean;
    up: boolean;
    vl: number;
    vk: number;
    xj: Color;
    xi: Color;
    vx: number;
    private w0;
    protected pa(a: any, b: string, c: any, d: any): void;
    private wu;
    uo(a: any): boolean;
    un(a: any): boolean;
    private wq;
    private vr;
    private uk;
    private u6;
    private u5;
    private u4;
    private u3;
    private u2;
    private u1;
    private u0;
    private uz;
    private get va();
    private get u9();
    private get u8();
    private get u7();
    private t8;
    private ud;
    private ue;
    private t9;
    private ub;
    private um;
    gm(a: Rect, b: Rect, c: SeriesView): boolean;
    private vs;
    get vy(): number;
    set vy(a: number);
    ps(a: boolean): void;
    private ws;
    private vu;
    private vo;
    private vn;
    protected np(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    private wp;
    private wv;
    private wt;
    progressiveLoadStatusChanged: (sender: any, e: ProgressiveLoadStatusEventArgs) => void;
    private wn;
    private wr;
    private ur;
    private w2;
    private ux;
    private uw;
    private uy;
    private vd;
    private vb;
    private vc;
    private ve;
    private vg;
    private vi;
    private vh;
    private vf;
    private ut;
    private uu;
    private uv;
    private us;
    private wx;
    fp(a: any): boolean;
    private wz;
    private vv;
    private vw;
    private vj;
    private wy;
    private ww;
    private vq;
    private vp;
    private t5;
    private vt;
    private wo;
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    protected t7: HighDensityScatterSeriesView;
    aq(a: Axis): AxisRange;
    private ul;
    protected qo(a: Rect, b: Rect): void;
    protected qp(a: Rect, b: Rect): void;
    private _itemIndexes;
    private t6;
    private t3;
    js(a: Point): any;
    private vz;
    w1(a: number[], b: number, c: number): void;
    protected get_gg(): boolean;
    protected set_gg(a: boolean): void;
    nk(a: boolean, b: SeriesView): void;
    pt(a: Rect, b: RenderSurface): void;
    private uf;
    pq(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    nh(): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class HighDensityScatterSeriesView extends SeriesView {
    static $t: Type;
    constructor(a: HighDensityScatterSeries);
    au(): void;
    cd(): void;
    protected b2: HighDensityScatterSeries;
    private b0;
    private b8;
    private b7;
    private b5;
    private b6;
    private b3;
    b9(): void;
    b1(): number[];
    cc(): void;
    cb(a: () => void): void;
    protected a8(a: RenderingContext, b: boolean): void;
    b4(a: Color, b: Color): boolean;
    ca(): void;
    an(a: any): void;
}
